# Note that this is NOT a relocatable package
%define ver      1.2.0
%define rel      3
%define prefix   %{_prefix}

Summary: The GNOME Personal Information Manager.
Name: gnome-pim
Version: %ver
Release: %rel
Copyright: GPL
Group: Applications/Productivity
Source: ftp://ftp.gnome.org/pub/GNOME/sources/gnome-pim/gnome-pim-%{ver}.tar.gz
BuildRoot: /var/tmp/gnome-pim-%{PACKAGE_VERSION}-root
Obsoletes: gnome
URL: http://www.gnome.org

Docdir: %{prefix}/doc

%description
The GNOME Personal Information Manager consists of applications to make
keeping up with your busy life easier.

Currently these apps are present:

 - gnomecal :  personal calendar and todo list
 - gnomecard:  contact list of friends and business associates

%package devel
Summary: GNOME PIM development files
Group: Development/Libraries
Requires: gnome-pim

%description devel
Files needed to develop apps which interact with gnome-pim applications
via CORBA.

%changelog
* Fri Mar 09 2001 Marc Stephenson <marc@austin.ibm.com>
- Rebuild against new shared objects

* Fri Oct 27 2000 pkgmgr <pkgmgr@austin.ibm.com>
- Modify for AIX Freeware distribution

* Fri Sep 17 1999 Elliot Lee <sopwith@redhat.com>
- vresion 1.0.10

* Mon Aug 16 1999 Michael Fulbright <drmike@redhat.com>
- official 1.0.9 release

* Mon Jul 19 1999 Dax Kelson <dkelson@inconnect.com>
- version 1.0.9 test version

* Fri May 28 1999 Dax Kelson <dkelson@inconnect.com>
- version 1.0.8

* Fri Apr 9 1999 Michael Fulbright <drmike@redhat.com>
- version 1.0.7

* Fri Mar 19 1999 Michael Fulbright <drmike@redhat.com>
- strip binaries

* Sun Mar 14 1999 Michael Fulbright <drmike@redhat.com>
- version 1.0.3

* Sun Feb 21 1999 Michael Fulbright <drmike@redhat.com>
- removed libtoolize from %build and fixed source line

* Fri Feb 12 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.8

* Thu Feb 11 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.7

* Sat Feb 06 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.6

* Mon Jan 18 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.3

* Wed Jan 06 1999 Michael Fulbright <drmike@redhat.com>
- rebuild against gtk+ 1.1.12

* Mon Dec 14 1998 Michael Fulbright <drmike@redhat.com>
- first try at an RPM for the 0.99.0 release

%prep
%setup -q

%build

CFLAGS="$RPM_OPT_FLAGS" LDFLAGS="-Wl,-brtl" ./configure --prefix=%prefix --sysconfdir=/etc
make

%install
rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT%{prefix} sysconfdir=$RPM_BUILD_ROOT/etc install

(cd $RPM_BUILD_ROOT
 for dir in bin lib
 do
    mkdir -p usr/$dir
    cd usr/$dir
    ln -sf ../..%{prefix}/$dir/* .
    cd -
 done
)

# strip binaries
/usr/bin/strip `LANG=C file $RPM_BUILD_ROOT/%{prefix}/bin/* | awk -F':' '/executable/ { print $1 }'`

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README
%{prefix}/bin/*
%config /etc/CORBA/*
%{prefix}/share/gnome/*
%{prefix}/lib/locale/*
%{prefix}/share/mime-info/*
/usr/bin/*

%files devel
%defattr(-, root, root)

%{prefix}/share/idl
